Show / Hide Table of Contents

# AsyncDestroyTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncDestroyTrigger : MonoBehaviour

##### Inheritance

System.Object → AsyncDestroyTrigger

### Members

#### Properties

Name | Description
--- | ---
CancellationToken |

#### Methods

Name | Description
--- | ---
OnDestroyAsync() |

### Properties

#### CancellationToken

    public CancellationToken CancellationToken { get; }

##### Property Value

CancellationToken

### Methods

#### OnDestroyAsync()

    public UniTask OnDestroyAsync()

##### Returns

UniTask